<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8"/>
	<meta type="Content-type" content="text/html;charset=UTF-8" />
	<title>快速排序</title>
	<style type="text/css"></style>
</head>
<body>
	<script type="text/javascript">
    var arr=[0,1,7,1,3,2,5,5,6,4,0];
	function quickSort(arr){
        if(arr.length<=1){
            return arr;
        }
        let middle=Math.floor(arr.length/2);
        let temp=arr.splice(middle,1);
        const left=[];
        const right=[];
		for(let i=0;i<arr.length;i++){
			if(arr[i]>temp){
                right.push(arr[i]);
            }else{
                left.push(arr[i]);
            }
		} 
		return quickSort(left).concat(temp,quickSort(right));	
	}
	console.log(quickSort(arr));

	
	</script>
</body>
</html>